#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qtermwidget
Version		:	1.4.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A terminal emulator widget for Qt 5.

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/qtermwidget


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	lxqt-build-tools
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-rpm-macros
#-----------------------------------------------------------------------------
%description
QTermWidget is an open-source project originally based on the
KDE4 Konsole application, but it took its own direction later on.
The main goal of this project is to provide a unicode-enabled,
embeddable Qt widget for using as a built-in console (or terminal
emulation widget).

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc AUTHORS README.md
%{_includedir}/%{name}5/*.h
%{_libdir}/lib%{name}5.so*
%{_libdir}/pkgconfig/%{name}5.pc
%{_libdir}/cmake/%{name}5/%{name}5-*.cmake
%{_datadir}/%{name}5/color-schemes/*.{schema,colorscheme}
%{_datadir}/%{name}5/color-schemes/historic/*.{schema,colorscheme}
%{_datadir}/%{name}5/kb-layouts/*.keytab
%{_datadir}/%{name}5/kb-layouts/historic/*.keytab
%{_datadir}/%{name}5/translations/%{name}_*.qm

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
